Bug 128720 (RHSA-2004:414) - CAN-2004-0691 BMP decoder heap overflow
Summary: CAN-2004-0691 BMP decoder heap overflow
Status: CLOSED ERRATA
Alias: RHSA-2004:414
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: qt (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-28 16:00 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 20:46:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo bmp file (3.05 KB, image/bmp)
2004-08-09 18:45 UTC, Josh Bressers
no flags Details
Patch from 3.3.2 => 3.3.3 which covers these issues plus some more (9.28 KB, patch)
2004-08-12 20:34 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:414 high SHIPPED_LIVE Important: qt security update 2004-08-20 04:00:00 UTC

Description Mark J. Cox 2004-07-28 16:00:55 UTC
Chris Evans mentioned QT BMP decoder heap overflow issues to
vendor-sec on Jul28.  Konqueror and others use qt to decode bmp files.

Patch available from QT team
Verified crash on RHEL3

        CAN-2004-0691 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2004-0691 Affects: 3AS 3ES 3WS 3Desktop

Embargo set at August 18th 1400UTC

Comment 1 Josh Bressers 2004-08-09 18:45:01 UTC
Created attachment 102533 [details]
Demo bmp file

This is a demo bmp file which will trigger this bug.

Comment 2 Ngo Than 2004-08-10 16:24:18 UTC
it's already built for AS2.1 and RHEL3.

Comment 3 Josh Bressers 2004-08-12 20:34:17 UTC
Created attachment 102673 [details]
Patch from 3.3.2 => 3.3.3 which covers these issues plus some more

Comment 4 Mark J. Cox 2004-08-20 13:31:05 UTC
removing embargo

Comment 5 Josh Bressers 2004-08-20 20:46:09 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-414.html



Note You need to log in before you can comment on or make changes to this bug.